%define upstream_name    JavaScript-Packer
%define upstream_version 2.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl version of Dean Edwards' Packer.js
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JavaScript/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Regexp::RegGrp) >= 1.1.1
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A JavaScript Compressor

This module is an adaptation of Dean Edwards' Packer.js.

Additional information: http://dean.edwards.name/packer/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Test broken by ordering change of generated variable names
rm -f t/02-io.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue May 13 2025 tv <tv> 2.120.0-1.mga10
+ Revision: 2183240
- update to 2.12

* Thu Dec 08 2022 tv <tv> 2.110.0-1.mga9
+ Revision: 1919210
- update to 2.11

* Wed Oct 12 2022 tv <tv> 2.100.0-1.mga9
+ Revision: 1896422
- update to 2.10

* Mon Jul 04 2022 tv <tv> 2.90.0-1.mga9
+ Revision: 1867550
- update to 2.09

* Mon Mar 21 2022 umeabot <umeabot> 2.80.0-2.mga9
+ Revision: 1815743
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 tv <tv> 2.80.0-1.mga9
+ Revision: 1759511
- update to 2.08

* Tue Nov 02 2021 tv <tv> 2.70.0-1.mga9
+ Revision: 1753666
- update to 2.07

* Sat Apr 04 2020 tv <tv> 2.60.0-1.mga8
+ Revision: 1564236
- update to 2.06

* Fri Feb 21 2020 umeabot <umeabot> 2.50.0-2.mga8
+ Revision: 1547852
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 2.50.0-1.mga8
+ Revision: 1488487
- update to 2.05

* Thu Sep 20 2018 umeabot <umeabot> 2.40.0-2.mga7
+ Revision: 1284472
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 2.40.0-1.mga7
+ Revision: 1204938
- update to 2.04

* Tue Oct 03 2017 tv <tv> 2.30.0-2.mga7
+ Revision: 1165036
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 2.30.0-1.mga7
+ Revision: 1141297
- update to 2.03

* Sat May 28 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 1019205
- update to 2.02

* Thu Feb 18 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 966296
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 843228
- update to 2.00

* Wed Oct 15 2014 umeabot <umeabot> 1.6.3-5.mga5
+ Revision: 739301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.3-4.mga5
+ Revision: 685151
- Mageia 5 Mass Rebuild

* Sat Jan 04 2014 pterjan <pterjan> 1.6.3-3.mga4
+ Revision: 564548
- Disable test broken by perl 5.18
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.3-2.mga3
+ Revision: 368827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.6.3-1.mga3
+ Revision: 261462
- imported package perl-JavaScript-Packer

